"Stash save" exits with 0 when nothing to stash

From: Pascal Malaise <hidden>
Date: 2016-06-15 23:03:21

Hi,

When calling "git stash save" in a clean situation (no change since last
commit), git-stash reports "No local changes to save", which is OK.
But it exits with code 0, despite no stash has been saved.
It would be better to exit with code 1 in this case.

N.B. In a similar situation  "git commit -a -m 'Test'" reports
On branch master
nothing to commit, working directory clean
and exits with code 1.

Thanks

diff -u  git-master/git-stash.sh exit1/git-stash.sh 
--- git-master/git-stash.sh	2014-12-22 20:43:48.000000000 +0000
+++ exit1/git-stash.sh	2014-12-24 08:59:00.804150443 +0000
@@ -257,7 +257,7 @@
 	if no_changes
 	then
 		say "$(gettext "No local changes to save")"
-		exit 0
+		exit 1
 	fi
 	test -f "$GIT_DIR/logs/$ref_stash" ||
 		clear_stash || die "$(gettext "Cannot initialize stash")"
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help